aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/run_tests/performance/run_worker_php.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/run_tests/performance/run_worker_php.sh')
-rwxr-xr-xtools/run_tests/performance/run_worker_php.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/tools/run_tests/performance/run_worker_php.sh b/tools/run_tests/performance/run_worker_php.sh
new file mode 100755
index 0000000000..5d0c4fa4fd
--- /dev/null
+++ b/tools/run_tests/performance/run_worker_php.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+# Copyright 2017 gRPC authors.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+source ~/.rvm/scripts/rvm
+set -ex
+
+repo=$(dirname $0)/../../..
+
+# First set up all dependences needed for PHP QPS test
+cd $repo
+cd src/php/tests/qps
+composer install
+# The proxy worker for PHP is implemented in Ruby
+cd ../../../..
+ruby src/ruby/qps/proxy-worker.rb $@
+